osmo_conv_encoder Struct Reference
Convolutional encoding and decoding routines

convolutional encoder state More...

`#include <conv.h>`

## Data Fields

const struct osmo_conv_code * | code
| for which code? More...
int | i_idx
| Next input bit index. More...
int | p_idx
| Current puncture index. More...
uint8_t | state
| Current state. More...

## Detailed Description

convolutional encoder state

## Field Documentation

## code

const struct osmo_conv_code* osmo_conv_encoder::code

for which code?

Referenced by _conv_encode_do_output(), osmo_conv_decode_init(), osmo_conv_encode(), osmo_conv_encode_flush(), osmo_conv_encode_init(), osmo_conv_encode_load_state(), and osmo_conv_encode_raw().

## i_idx

int osmo_conv_encoder::i_idx

Next input bit index.

Referenced by _conv_encode_do_output(), osmo_conv_encode_flush(), and osmo_conv_encode_raw().

## p_idx

int osmo_conv_encoder::p_idx

Current puncture index.

Referenced by _conv_encode_do_output().

## state

uint8_t osmo_conv_encoder::state

Current state.

Referenced by osmo_conv_encode_flush(), osmo_conv_encode_load_state(), and osmo_conv_encode_raw().

The documentation for this struct was generated from the following file:

- include/osmocom/core/conv.h